version: '3.8'

services:
  backend:
    build: ./backend
    container_name: schiri-backend
    ports:
      - "3000:3000"
    networks:
      - schiri-net

  frontend:
    build: ./frontend
    container_name: schiri-frontend
    ports:
      - "5002:80"
    depends_on:
      - backend
    networks:
      - schiri-net

networks:
  schiri-net:
    driver: bridge
